# Easy-Acumatica

A lightweight, Pythonic wrapper around Acumatica’s contract-based REST API.  
Handles session management, login/logout, URL building, and OData query-string construction so you can focus on your business logic.

## Installation

```bash
pip install easy-acumatica
```

Supports Python 3.8+ and depends only on `requests`.

## Documentation

Full usage examples and API reference can be found on our docs website:  
https://easyacumatica.com/python

Or on our Github Wiki:
https://github.com/Nioron07/Easy-Acumatica/wiki

## PyPI

https://pypi.org/project/easy-acumatica/

## NPM

Not using Python? See the NPM version by joeBewon [here](https://easyacumatica.com/npm)

## License

MIT-licensed (see [LICENSE](LICENSE) for details)

## Generate Stubs for Development

```bash
easy-acumatica-stubs --url "*base url" --username "*username*" --password "*password*" --tenant "*Tenant*" --endpoint-version "*api version*"
```

## Easy Acumatica-Chan says "Thanks for Downloading!"

![Logo](assets/EA-Anime.png)
